import request from '@/utils/request'

// 查询电子围栏列表
export function listCorpuscle() {
  return request({
    url: '/car/carRail/list',
    method: 'get'
  })
}

// // 查询电子围栏详细
// export function getCorpuscle(id) {
//   return request({
//     url: '/carRail/corpuscle/' + id,
//     method: 'get'
//   })
// }

// 新增电子围栏
export function addCorpuscle(data) {
  return request({
    url: '/car/carRail',
    method: 'post',
    data: data
  })
}

// 修改电子围栏
export function updateCorpuscle(data) {
  return request({
    url: '/car/carRail',
    method: 'put',
    data: data
  })
}

// 删除电子围栏
export function delCorpuscle(id) {
  return request({
    url: '/car/carRail/' + id,
    method: 'delete'
  })
}
